org.apache.ivy.plugins.lock

## Class NIOFileLockStrategy

- java.lang.Object
- - org.apache.ivy.plugins.lock.AbstractLockStrategy
  - - org.apache.ivy.plugins.lock.FileBasedLockStrategy
    - - org.apache.ivy.plugins.lock.ArtifactLockStrategy
      - - org.apache.ivy.plugins.lock.NIOFileLockStrategy

All Implemented Interfaces:
  LockStrategy

    public class NIOFileLockStrategy
    extends ArtifactLockStrategy

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ivy.plugins.lock.FileBasedLockStrategy

`FileBasedLockStrategy.CreateFileLocker, FileBasedLockStrategy.FileLocker, FileBasedLockStrategy.NIOFileLocker`

### Constructor Summary

Constructors
Constructor and Description
`NIOFileLockStrategy(boolean debugLocking)`

### Method Summary

### Methods inherited from class org.apache.ivy.plugins.lock.ArtifactLockStrategy

`lockArtifact, unlockArtifact`

### Methods inherited from class org.apache.ivy.plugins.lock.FileBasedLockStrategy

`acquireLock, getCurrentLockHolderNames, releaseLock`

### Methods inherited from class org.apache.ivy.plugins.lock.AbstractLockStrategy

`getName, isDebugLocking, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NIOFileLockStrategy

    public NIOFileLockStrategy(boolean debugLocking)